<template>
  <view class="w-screen h-screen flex justify-center items-center">
    <uv-image :src="combineOssFile(imgLaunch)" width="60vw" height="auto" mode="widthFix" class="-mt-200" />
  </view>
</template>

<script setup>
import { useTransfer } from "@/hooks/useTransfer";
import { useTimeoutFn } from "@vueuse/core";
import { useEnvStore } from "@/hooks/useEnvStore";
import { combineOssFile } from "@/utils";

const { relaunch } = useTransfer()
const { isGuideRead } = useEnvStore()
const imgLaunch = '/static/guide/launch.png'

const quit = (byHand = false) => {
  isGuideRead.value = true
  if (byHand) stop()
  relaunch()
}

const {stop} = useTimeoutFn(quit, 2000)

</script>

<style scoped></style>
